/* basic menu styles */
.block-menu {
	display: block;
	background: black;
}

.block-menu li {
	display: inline-block;
}

.block-menu li a {
	color: silver;
	display: block;
	text-decoration: none;
	font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
	overflow: visible;
	font-size: 2rem;
	padding: 15px 10px;
}

/* animation domination */
.three-d {
	perspective: 200px;
	transition: all .07s linear;
	position: relative;
	cursor: pointer;
}

/* complete the animation! */
.three-d:hover .three-d-box, 
.three-d:focus .three-d-box {
	transform: translateZ(-25px) rotateX(90deg);
}

.three-d-box {
	transition: all .3s ease-out;
	transform: translatez(-25px);
	transform-style: preserve-3d;
	pointer-events: none;
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
}

/* 
put the "front" and "back" elements into place with CSS transforms, 
specifically translation and translatez
 */
.front {
	transform: rotatex(0deg) translatez(25px);
}

.back {
	transform: rotatex(-90deg) translatez(25px);
	color: #ffe7c4;
}

.front, .back {
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	background: black;
	padding: 15px 10px;
	color: silver;
	pointer-events: none;
	box-sizing: border-box;
}
